summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rw-r--r--ci/PR_revision.log1
-rwxr-xr-xci/deploy.sh13
2 files changed, 14 insertions, 0 deletions
diff --git a/ci/PR_revision.log b/ci/PR_revision.log
index ea30648a..2dcbe81c 100644
--- a/ci/PR_revision.log
+++ b/ci/PR_revision.log
@@ -8,3 +8,4 @@
23,Fix odl env files
25,Force metadata on all scenarios
26,Fixes ODL ML2 IP
+30,Adds OVS DPDK config
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 6d75bac0..fba83a9c 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -143,6 +143,17 @@ parse_deploy_settings() {
echo -e "${red}ERROR: Failed to parse deploy settings file $DEPLOY_SETTINGS_FILE ${reset}"
exit 1
fi
+
+ if [ "${deploy_options_array['dataplane']}" == 'ovs_dpdk' ]; then
+ if [ "$net_isolation_enabled" == "FALSE" ]; then
+ echo -e "${red}ERROR: flat network is not supported with ovs-dpdk ${reset}"
+ exit 1
+ fi
+ if [[ ! $enabled_network_list =~ "private_network" ]]; then
+ echo -e "${red}ERROR: tenant network is not enabled for ovs-dpdk ${reset}"
+ exit 1
+ fi
+ fi
}
##parses baremetal yaml settings into compatible json
@@ -780,6 +791,8 @@ function undercloud_prep_overcloud_deploy {
DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight_sfc.yaml"
elif [ "${deploy_options_array['vpn']}" == 'True' ]; then
DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight_sdnvpn.yaml"
+ elif [ "${deploy_options_array['vpp']}" == 'True' ]; then
+ DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight_fdio.yaml"
else
DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight.yaml"
fi